# eoOneMaxInit< GenotypeT > Class Template Reference

Always write a comment in this format before class definition if you want the class to be documented by Doxygen. More...

`#include <eoOneMaxInit.h>`

Inheritance diagram for eoOneMaxInit< GenotypeT >:

List of all members.

## Public Member Functions

| eoOneMaxInit (unsigned _vecSize)
| Ctor - no requirement.
void | operator() (GenotypeT &_genotype)
| initialize a genotype

## Private Attributes

unsigned | vecSize

## Detailed Description

### template<class GenotypeT>
class eoOneMaxInit< GenotypeT >

Always write a comment in this format before class definition if you want the class to be documented by Doxygen.

There is NO ASSUMPTION on the class GenoypeT. In particular, it does not need to derive from EO (e.g. to initialize atoms of an eoVector you will need an eoInit<AtomType>)

Definition at line 26 of file eoOneMaxInit.h.

## Member Function Documentation

template<class GenotypeT>
void eoOneMaxInit< GenotypeT >::operator() | ( | GenotypeT & | _genotype | ) | `[inline, virtual]`

initialize a genotype

Parameters:

  | _genotype | generally a genotype that has been default-constructed whatever it contains will be lost

Implements eoUF< GenotypeT &, void >.

Definition at line 44 of file eoOneMaxInit.h.

References eoRng::flip().

The documentation for this class was generated from the following file:

- eoOneMaxInit.h